com.google.appengine.api.taskqueue

## Class LeaseOptions.Builder

- java.lang.Object
- - com.google.appengine.api.taskqueue.LeaseOptions.Builder

- Enclosing class:
    LeaseOptions

      public static final class LeaseOptions.Builder
      extends java.lang.Object

  Provides static creation methods for `LeaseOptions`.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LeaseOptions` | `withCountLimit(long countLimit)` Returns default `LeaseOptions` and calls `LeaseOptions.countLimit(long)`.
    `static LeaseOptions` | `withDeadlineInSeconds(java.lang.Double deadlineInSeconds)` Returns default `LeaseOptions` and calls `LeaseOptions.deadlineInSeconds(Double)`.
    `static LeaseOptions` | `withLeasePeriod(long lease, java.util.concurrent.TimeUnit unit)` Returns default `LeaseOptions` and calls `LeaseOptions.leasePeriod(long, TimeUnit)`.
    `static LeaseOptions` | `withTag(byte[] tag)` Returns default `LeaseOptions` and calls `LeaseOptions.tag(byte[])`.
    `static LeaseOptions` | `withTag(java.lang.String tag)` Returns default `LeaseOptions` and calls `LeaseOptions.tag(String)`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withLeasePeriod

          public static LeaseOptions withLeasePeriod(long lease,
                                                     java.util.concurrent.TimeUnit unit)

      Returns default `LeaseOptions` and calls `LeaseOptions.leasePeriod(long, TimeUnit)`.

    - #### withCountLimit

          public static LeaseOptions withCountLimit(long countLimit)

      Returns default `LeaseOptions` and calls `LeaseOptions.countLimit(long)`.

    - #### withDeadlineInSeconds

          public static LeaseOptions withDeadlineInSeconds(java.lang.Double deadlineInSeconds)

      Returns default `LeaseOptions` and calls `LeaseOptions.deadlineInSeconds(Double)`.

    - #### withTag

          public static LeaseOptions withTag(byte[] tag)

      Returns default `LeaseOptions` and calls `LeaseOptions.tag(byte[])`.

    - #### withTag

          public static LeaseOptions withTag(java.lang.String tag)

      Returns default `LeaseOptions` and calls `LeaseOptions.tag(String)`.